[Frage] typo3 8 Composer Forms Fehlermeldung / Extensions TYPO3-Version: 8.7.9

  • xTheTronx xTheTronx
    R2-D2
    0 x
    93 Beiträge
    0 Hilfreiche Beiträge
    28. 12. 2017, 18:42

    Hallo zusammen,

    ich verwende composer, um mir eine Typo3 Installation aufzusetzen.
    Das hatte bisher auch eigentlich gut funktioniert, allerdings bekomme ich jetzt diese Fehlermeldung, wenn ich z.B. im Backend den Reiter "Forms" oder die Extensions aufrufen möchte.

    [code]Core: Exception handler (WEB): Uncaught TYPO3 Exception: syntax error, unexpected '?' | ParseError thrown in file /vagrant/vendor/symfony/yaml/Parser.php in line 510. Requested URL: http://localhost:1337/typo3/index.php?M=web_FormFormbuilder&moduleToken=4fc0d0eda5118a4ff9acbf591a21ec1921243743[/code]

    Irgend etwas scheint mit der Forms Extension, die ja jetzt in Typo3 8 integriert ist, nicht zu funktionieren und wüsste auch nicht, wie ich die temporär abschalten könnte.
    Leider finde ich den Fehler nicht.

    Hat das vielleicht schon mal jemand gehabt oder eine Idee, woran es liegen kann?

    Vielen Dank für Eure Hilfe.

    Gruß

    Torsten


  • 1
  • pstranghoener pstrangho...
    Die Macht
    0 x
    393 Beiträge
    21 Hilfreiche Beiträge
    03. 01. 2018, 12:49

    Hi,

    hast du mittlerweile eine Lösung für das Problem gefunden?

    Beste Grüße
    Philipp

  • FloLeBlanc FloLeBlan...
    Padawan
    0 x
    34 Beiträge
    0 Hilfreiche Beiträge
    19. 01. 2018, 10:44

    Ich bin heute auf das gleiche Problem gestoßen und konnte es mit Hilfe der Unterstützung von mbrodala und cedricziel aus dem Slack Channel überwinden.

    Mein dev-setup läuft auf einem Docker environment bei dem die Daten zwischen Windows host und docker container gesynct werden. (TYPO3 ist im composer mode)

    Zum Update habe ich den lokalen Windows composer verwendet, der mit PHP Version 7.1 gelaufen ist, in der virutellen Maschine läuft jedoch nur eine PHP 7.0 Variante.
    Demnach wurde auf symfony/yaml >4.0 upgedated, das PHP 7.1 braucht (am Host war es ja vorhanden).
    Das führt zu einem Fehler auf der Zielmaschine im Docker Container die unter PHP 7.0 läuft.

    Resumée: Verschiedene PHP Versionen auf gesyncten Systemen => böse :)

  • 1